Subject: Re: 23.0.60; Segfault when opening a file

From: Christian Faulhammer <[email-masked]>
Date: Thu, 18 Sep 2008 19:25:01 +0200

Hi,

Kenichi Handa <[email-masked]>:

> In article <[email-masked]>, Christian
> Faulhammer <[email-masked]> writes:
> 
> > [1  <text/plain; ISO-8859-1 (quoted-printable)>]
> > Hi,
> 
> > Kenichi Handa <[email-masked]>:
> > > In article <[email-masked]>, Chong Yidong
> > > <[email-masked]> writes:
> > > 
> > > > Can anyone reproduce this bug?  I can't.
> > > > "Christian Faulhammer" <[email-masked]> wrote:
> > > 
> > > > > when opening the attached TeX file (stripped to the lines that
> > > > > cause the crash), my Emacs segfaults.  Compiled from HEAD this
> > > > > morning 1000 CEST, although I have this problem for two weeks
> > > > > now.
> > > > >
> > > > > In GNU Emacs 23.0.60.1 (i686-pc-linux-gnu, GTK+ Version
> > > > > 2.12.10)
> > > 
> > > > --- segfault-faulhammer.tex begins here ---
> > > >  & \textbf{Autor(en)/Künstler} &  \textbf{Titel} &
> > > > \textbf{ISBN} & \textbf{Preis} (ca.) \\\midrule ---
> > > > segfault-faulhammer.tex ends here ---
> > > 
> > > I can't reproduce that bug with the latest code.  Can you?
> 
> >  Something new:  When starting with -fn fontset-standard everything
> > is ok, no segfaults anymore.  Anything more I can do to debug
> > this?  I already straced for file calls and tried to disable all
> > settings from Gtk+ or X, but I now suspect Xft, this is also
> > related to my bug 775, which also disappears with standard fontset.
> 
> Please run Emacs under gdb, and find at which point Emacs
> crashes.

 I provided a back trace in my original report.  Isn't it enough?

V-Li

-- 
Christian Faulhammer, Gentoo Lisp project
<URL:http://www.gentoo.org/proj/en/lisp/>, #gentoo-lisp on FreeNode

<URL:http://www.faulhammer.org/>